Subject: Re: [ANNOUNCE] git/gitweb.git repository

From: Luben Tuikov <[email-masked]>
Date: Fri, 31 Aug 2007 19:15:23 -0700 (PDT)

--- Junio C Hamano <[email-masked]> wrote:
> Petr Baudis <[email-masked]> writes:
> 
> > On Sat, Sep 01, 2007 at 03:25:16AM CEST, Johannes Schindelin wrote:
> >> On Fri, 31 Aug 2007, Luben Tuikov wrote:
> >> 
> >> > So what's the review process now?
> >> 
> >> Umm.  Pasky set it up, so it's Pasky who decides what goes in and what 
> >> not.  What exactly is your problem?
> >
> >   Junio will pull from it, so he has full right to ask. :-)
> 
> Well, I won't blindly pull from it, but honestly when it comes
> to gitweb I trust Pasky's judgement as much as I trust myself,
> if not even more.  And I think the review process Pasky
> described is good --- people will see both the patches on the
> list and code in action at repo.or.cz/.
> 
> I am a bit worried about the 'master' being a "StGIT stack",
> though.  Playgrounds to be cherry-picked from (aka 'pu') would
> make *perfect* sense to be managed that way (and the topics that
> go only 'pu' of git.git itself are managed the same except that
> I do not do so using StGIT), but I think we need a stable
> history for the branch git.git will eventually pull from.

That was my concern too, but seeing the immediate hostility
I got about asking about the review process I decided not
to mention it.

I'd be interesting to see how gitweb support pans out
given this initial hostility to inquiry of accountability.

Over the years I've seen that the best support and accountability
has been had when the maintainer is not the main contributor/developer,
especially for shared development. Otherwise personal preferences over
feature X and Y come into play and then things get ugly.  This is
why you were such a good maintainer of gitweb.

   Luben